corda / net.corda.node.services.messaging / CordaRPCClient / <init>

# <init>

`CordaRPCClient(host: HostAndPort, config: SSLConfiguration? = null, serviceConfigurationOverride: ServerLocator.() -> Unit = null)`

An RPC client connects to the specified server and allows you to make calls to the server that perform various useful tasks. See the documentation for proxy or review the docsite to learn more about how this API works.

### Parameters

`host` - The hostname and messaging port of the node.

`config` - If specified, the SSL configuration to use. If not specified, SSL will be disabled and the node will only be authenticated on non-SSL RPC port, the RPC traffic with not be encrypted when SSL is disabled.